<?php
	session_start();
	 
	include('correlation.php');
	
	/*if(!isset($_SESSION['logged']) )
	{		header ('Location: interdiction.php');
	}
	
	if($_SESSION['logged']== "no")
	{
		header ('Location: interdiction.php');
	}*/
	
/******** eviter des soumission intempestives lors d'un reload de la page F5  ************************************/	
	if(!empty($_POST) )
	{
		$_SESSION['sauvegarde_formulaire'] = $_POST ;
     
		$page_actuelle = $_SERVER['PHP_SELF'] ;
		if(!empty($_SERVER['QUERY_STRING']))
		{
			$page_actuelle .= '?' . $_SERVER['QUERY_STRING'] ;
		}
     
		header('Location: ' . $page_actuelle);
		exit;
	}
	
	if(isset($_SESSION['sauvegarde_formulaire']))
	{
		$_POST = $_SESSION['sauvegarde_formulaire'] ;
		unset($_SESSION['sauvegarde_formulaire']);		
	}	
/************************************************************************/	
	
	if( isset($_POST['valide_form']) && $_POST['valide_form'] == "ok" )
	{
			
			$_SESSION['message'] = "ok";
			echo "TRACE";
									
			//echo $_POST['selection_score'];
			$flag_validation = false;
			
			switch ($_POST['selection_score'])
			{
				case "Blanc gagne":
					$score_blanc = "1";
					$score_noir = "0";
					$flag_validation = true;
					break;
				
				case "Blanc perd":
					$score_blanc = "0";
					$score_noir = "1";
					$flag_validation = true;
					break;
				
				case "Noir gagne":
					$score_blanc = "0";
					$score_noir = "1";
					$flag_validation = true;
					break;
				
				case "Noir perd":
					$score_blanc = "1";
					$score_noir = "0";
					$flag_validation = true;
					break;
				
				case "Match nul":
					$score_blanc = "0.5";
					$score_noir = "0.5";
					$flag_validation = true;
					break;

			}
			
			if($flag_validation == true)
			{
				
				
				if (isset($_POST['selection_date'])) 
				{
					$date =  date("d-m-Y");
					list($jour, $mois, $annee) = explode('-', $date);
					$timestamp = mktime (0, 0, 0, $mois, $jour, $annee);
					$donnees = array();
					$donnees[0] = $timestamp;
					$donnees[1] = $_SESSION['$J1_nom'];
					$donnees[2] = $_SESSION['$J2_nom'];
					$donnees[3] = $score_blanc;
					$donnees[4] = $score_noir;
					print_r($donnees);
				
					//algo_elo($donnees, "nostatistique", "sql", 0 );
					$message = '<div id="message_traitement" style="display:block">Partie sauvée dans la database:';
					$message .= $donnees[1]  .' contre ' .$donnees[1] . " " .$score_blanc . ' - ' .$score_noir ." le " .$date; 
					$message .= '</div>';
				}
				
				else
				{	
								
					$jour = $_POST['jour'];
					$mois = $_POST['mois'];
					$annee = $_POST['annee'];
				
					$tab_associatif = array(); 
					$tab_associatif ['Janvier']='1';
					$tab_associatif ['Février']='2';
					$tab_associatif ['Mars']='3';
					$tab_associatif ['Avril']='4';
					$tab_associatif ['Mai']='5';
					$tab_associatif ['Juin']='6';
					$tab_associatif ['Juillet']='7';
					$tab_associatif ['Aôut']='8';
					$tab_associatif ['Septembre']='9';
					$tab_associatif ['Octobre']='10';
					$tab_associatif ['Novembre']='11';
					$tab_associatif ['Décembre']='12';
					$mois = $tab_associatif[$mois];
					
					$num_jour = intval($jour);
					$num_mois = intval($mois);
					
					if($num_jour < 10)
					{
						$jour = '0' .$jour;
					}
					
					if($num_mois < 10)
					{
						$mois = '0' .$mois;
					}
					
					$date_format = $jour ."-" .$mois ."-" .$annee; 
					//echo $date_format;
					
					if(check_date($date_format) == "Erreur") 
					{
						$message = '<div id="message_traitement" style="display:block">Date non valide.</div>';
					}
					else
					{
						$timestamp = mktime (0, 0, 0, $mois, $jour, $annee);
						$donnees = array();
						$donnees[0] = $timestamp;
						$donnees[1] = $_SESSION['$J1_nom'];
						$donnees[2] = $_SESSION['$J2_nom'];
						$donnees[3] = $score_blanc;
						$donnees[4] = $score_noir;
						print_r($donnees);
						//algo_elo($donnees, "nostatistique", "sql", 0 );
						$message = '<div id="message_traitement" style="display:block">Partie sauvée dans la database:';
						$message .= $donnees[1]  .' contre ' .$donnees[1] . " " .$score_blanc . ' - ' .$score_noir ." le " .$date; 
						$message .= '</div>';
					}	

				}
			}		
	}
/*******************************************************/
/* verifier que le format et la date sont valide : 30/02/20xx renvoie une erreur  */
function check_date($data) 
{
    if (date('d-m-Y', strtotime($data)) == $data) 
	{
        return "OK";
    } 
	else 
	{
        return "Erreur";
    }
}
	  
?>
  
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr" dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Description" content="Site perso,cours,ouvrages" />
<meta name="Keywords" content="WEBSITE perso " />
<meta name="Distribution" content="Global" />
<meta name="Robots" content="" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="rating" content="general" />
<meta name="author" content="Patrice DELPY" />
<meta name="copyright" content="Copyright 2013" />
<meta name="generator" content="Patoche" />
<title>Patoche WEBSITE - 2013 - Template du site - en cours de développemment ...</title>

<META http-equiv="Cache-Control" content="no-cache"> 

<!--
en php
header("Cache-Control: no-cache, must-revalidate"); 
-->

<!---------------------------------------------------------->	
<?php
		include('include_css_template_commun.php');
		include('include_css.php');
		include('css_tools_skill.php');
		include('include_javascript.php');

?> 

<style type="text/css">
#bloc_table_forum { float: left;
					width: 831px; 
					padding: 50px 50px 25px 50px;
					}	
					
#navigation_tournoi{
					float: left;
					width: 910px; // 870
					padding: 10px 0px 0px 10px;
		}
					
.marge {
    margin: auto;
    width: 60%;
    padding: 10px ;
	}
	
	label
{
	
	
	display:block;
	float:left;
	width:100px;
	
}

}					
					
</style>

<script type="text/javascript">
function call_update()
{
	 ajax_routine(); 
	 setTimeout("call_update()", 1000); //appelle la fonction 1 fois par  seconde
}

function active()
{
	document.getElementById("score").style.visibility='visible';
	document.getElementById('valide_form').value="ok";
	starting();
}
		
function active_sauver()
{
	document.getElementById('send').disabled = false;
}
	
function start()
{
	//document.getElementById("image").style.display='block';
	
	var xhr = getXhr();
				
	xhr.onreadystatechange = function()
	{
	// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
	if(xhr.readyState == 4 && xhr.status == 200){
		//leselect = xhr.responseText;
		// On se sert de innerHTML pour rajouter les options a la liste
		document.getElementById('debug').innerHTML = xhr.responseText;
		//document.getElementById("fin_traitement").style.visibility='visible';
		//document.getElementById("image").style.display='none';
		}
	}

	xhr.open("POST","traitement_ajouter_partie.php",true);
	// ne pas oublier ça pour le post
	xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	
	jour = document.getElementById('jour');
	mois = document.getElementById('mois');
	annee = document.getElementById('annee');
	selection_date = document.getElementById('selection_date');
	sel = document.getElementById('J1');
	J1 = sel.options[sel.selectedIndex].value;
	sel = document.getElementById('J2');
	J2 = sel.options[sel.selectedIndex].value;
	
	selection_score = document.getElementById('selection_score').value;
	
	alert(selection_score);
	
	//xhr.send("J1="+J1+"&J2="+J2+"&jour="+jour+"&mois="+mois+"&annee="+annee+"&selection_date="+selection_date+"&selection_score="+selection_score);
	
	
	
	
	//valeur = 100000000;
	//xhr.send("max="+valeur);
	
}			
		
function getXhr()
{
    var xhr = null; 
	if(window.XMLHttpRequest) // Firefox et autres
	   xhr = new XMLHttpRequest(); 
	else if(window.ActiveXObject)
	{ // Internet Explorer 
	   try {
				xhr = new ActiveXObject("Msxml2.XMLHTTP");
		   } catch (e) 
		   {
				xhr = new ActiveXObject("Microsoft.XMLHTTP");
		   }
	}
	else { // XMLHttpRequest non supporté par le navigateur 
			alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
			xhr = false; 
		 } 

	return xhr;
}
			

function go()
{
		var xhr = getXhr();
		// On défini ce qu'on va faire quand on aura la réponse
		
		document.getElementById("souscategorie").style.visibility='visible';
				
		xhr.onreadystatechange = function()
		{
			// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
			if(xhr.readyState == 4 && xhr.status == 200)
			{
				leselect = xhr.responseText;
				// On se sert de innerHTML pour rajouter les options a la liste
				document.getElementById('souscategorie').innerHTML = leselect;
			}
		}

		// Ici on va voir comment faire du post
		xhr.open("POST","ajax_joueur.php",true);
		// ne pas oublier ça pour le post
		xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		// ne pas oublier de poster les arguments
		// ici, l'id de Catégorie
		sel = document.getElementById('J1');
		idcategorie = sel.options[sel.selectedIndex].value;
		xhr.send("idcategorie="+idcategorie);
}
			
function starting()
{
		var xhr = getXhr();
		// On défini ce qu'on va faire quand on aura la réponse
					
		document.getElementById("probabilite").style.visibility='visible';
					
		xhr.onreadystatechange = function()
		{
			// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
			if(xhr.readyState == 4 && xhr.status == 200)
			{
				leselect = xhr.responseText;
				// On se sert de innerHTML pour rajouter les options a la liste
				document.getElementById('probabilite').innerHTML = leselect;
			}
		}

		// Ici on va voir comment faire du post
		//xhr.open("POST","ajax_probabilite.php",true);
		xhr.open("POST","echec03.php",true);
		// ne pas oublier ça pour le post
		xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		// ne pas oublier de poster les arguments
		// ici, l'id de Catégorie
		sel = document.getElementById('J1');
		J1 = sel.options[sel.selectedIndex].value;
		sel = document.getElementById('J2');
		J2 = sel.options[sel.selectedIndex].value;
		xhr.send("J1="+J1+"&J2="+J2);
				
}

</script>

<!---------------------------------------------------------->	
</head>

<body>
<!---------------------------------------------------------->	
	<div class="main"> <!-- main -->
<!---------------------------------------------------------->	

          <div class="header">
                <div class="balise_titre">Patoche</div>
                <div class="balise_citation">
                &quot;Etre conscient que l'on est ignorant est un grand pas vers le savoir&quot;
                </div>
          </div> 
 
          <div class="banniere"></div>  

<!---------------------------------------------------------->
<?php
/*	include("include_barre_login.php");
	echo '<div id="box_icon">';
	include("debug_connexion_membre.php");
	echo '</div>';
	include("include_menu.php");*/
	
	echo '<div id="box_infos">';
			include("include_menu.php");
			
			echo '<div id="box_icon2">';
			include("connexion_membre.php");
			echo	'</div>';
			
			echo '<div id="box_icon3">';
			include("include_barre_login.php");
			echo	'</div>';

	echo	'</div>';
	$_SESSION['page_active'] = basename (__FILE__ );
?>
		

<!---------------------------------------------------------->	
            <div class="contenu"> <!-- contenu -->
<!---------------------------------------------------------->	
	
			<div class="barre_vide"></div>
			
			<div id="navigation_tournoi">
				<ul id="menu_horiz">
				<li class="tournoi_joueur_tag"><a href="ajouter_joueur.php" title="aller à la section">Nouveau</a></li>
				<li class="tournoi_partie_tag_selected"><a href="partie.php" title="aller à la section">Partie</a></li>
				<li class="tournoi_classement_tag"><a href="classement.php" title="aller à la section">classement</a></li>
				<li class="tournoi_liste_joueurs_tag"><a href="liste_joueurs.php" title="aller à la section">Joueurs</a></li>
				<li class="tournoi_stats_tag"><a href="historique.php" title="aller à la section">Historique</a></li>
				<li class="tournoi_securite_tag"><a href="admin.php" title="aller à la section">Admin</a></li>
				</ul>
			</div>
			
			<div id="bloc_table_forum">
	<!--
			<form method="post" id="form_selection_joueurs" action="partie.php" onsubmit="return start(this)"> <!-- onsubmit="return valider_inscription(this)" -->

			<input type="hidden" name="valide_form" id="valide_form" value="" />
			
			<fieldset style="width: 600px">
				<legend>Partie </legend>

<p>
			<label>Date: </label>
			<select name="jour" id="jour">
<?php
			for ($i = 1; $i <= 31; $i++)
			{
				echo "<option >$i</option>";
			}
?>			
			</select>	
			
			<select name="mois" id="mois">
<?php
			echo "<option>Janvier</option>";
			echo "<option>Février</option>";	
			echo "<option>Mars</option>";
			echo "<option>Avril</option>";
			echo "<option>Mai</option>";
			echo "<option>Juin</option>";	
			echo "<option>Juillet</option>";
			echo "<option>Aôut</option>";
			echo "<option>Septembre</option>";
			echo "<option>Octobre</option>";	
			echo "<option>Novembre</option>";
			echo "<option>Décembre</option>";
?>
			</select>
	
			<select name="annee" id="annee">
<?php
			for ($i = 2015; $i <= 2020; $i++)
			{
				echo "<option>$i</option>";
			}
?>
			</select>
				
<?php
			$date =  date("d-m-Y");
			
			echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type='checkbox' name='selection_date' value=''> Date du jour: " ." " .$date;
?>			
</p>
			
				<p>				
				<div class="center">
			
				<label>Blanc: </label>
				<select name='J1' id='J1' onchange='go()'>
					<option value="vide">- - - Choisissez le Joueur 1 - - -</option>
					<?php
						//mysql_connect("localhost","root","");
						//mysql_select_db("website");
						/*$res = mysql_query("SELECT * FROM membres ");*/
						
						$sql = "SELECT * FROM classement";
						$res = mysql_query($sql);

						while($val = mysql_fetch_array($res)) 
						{
							echo "<option>".$val["joueur"]."</option>\n";
						}
					?>
				</select>
				</div>		
				</p>		
				
				<div id='souscategorie' style="visibility: hidden;"  >  <!-- style='display:inline' -->

				<div class="center">					
				
				</br>
				
				<label>Noir: </label>
					<select name='J2' id='J2'  ">  <!--   -->
					</select>
				</div>					
				</div> 
				
				
				<div id='probabilite' style="visibility: hidden;"  >  <!-- style='display:inline' -->
					<label>Probabilité: </label>
					
				</div> 
				
				<img src="loader.gif" style="display: none;" name = "image" id="image">
				
				
				<div id="score" style="visibility: hidden; ">
					<label>Résultat :</label>
					<select name="selection_score" size="1" style='display:inline' onchange='active_sauver()' >
					<option value="vide">- - - Resultat de la partie - - -</option>

<?php
					$J1_nom = $_SESSION['$J1_nom'];
					$J2_nom = $_SESSION['$J2_nom'];
		
					echo '<option>Blanc gagne</option>';
					echo '<option>Blanc perd</option>';
					echo '<option>Noir gagne</option>';
					echo '<option>Noir perd</option>';
					echo '<option>Match nul</option>';
?>
				
					</select>
				</div>
				
				<br/>
				
				<div> <!-- disabled -->
					<input id="send" name="send" type="submit"  value="Enregistrer"  onclick="start()" /> <!-- onclick="start()" -->
				</div>
				
				<br>
				<br>
				
				
				<div id='fin_traitement' style="visibility: hidden;"  >
				<?php
				echo " C'est fini ....";
				?>
				</div>
				
				<div id='debug'></div>
				
<?php
				if($_SESSION['message'] == "ok")
				{	//echo '<div id="message_traitement" style="display:block">Partie sauvée dans la database.</div>';
					echo $message;
					$_SESSION['message'] = "none";
				}
?>	
				
			</fieldset>
	<!--	</form> -->
		
			</div>

			<br/>
			<br/>
			<br/>
			<br/>
			<br/>

<!---------------------------------------------------------->	
<?php			
    include('include_pied_page.php');
	include('include_publicite.php');
?>
<!---------------------------------------------------------->	
			</div>  <!-- contenu -->
<!---------------------------------------------------------->	
	</div>   <!-- main -->
<!---------------------------------------------------------->	

	<script type="text/javascript">
		call_update()
	</script>

</body>
</html>


